summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Aleksandar Samardzic <asamardzic@matf.bg.ac.yu>2010-05-11 20:01:01 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 20:01:01 +0200
commit55594dce26ed024f73555f85e425a6c747eeda14 (patch)
treefbe627463bb1e57d36e21a43e10c2d8b9a6e0362 /libraries
parent196d89cf27016200c730f6bdda960d217385aabb (diff)
downloadslackbuilds-55594dce26ed024f73555f85e425a6c747eeda14.tar.gz
slackbuilds-55594dce26ed024f73555f85e425a6c747eeda14.tar.xz
libraries/qt4: Added to 12.0 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/qt4/README14
-rw-r--r--libraries/qt4/doinst.sh5
-rw-r--r--libraries/qt4/qt4.SlackBuild86
-rw-r--r--libraries/qt4/qt4.info8
-rw-r--r--libraries/qt4/slack-desc19
5 files changed, 132 insertions, 0 deletions
diff --git a/libraries/qt4/README b/libraries/qt4/README
new file mode 100644
index 0000000000..a1e81039de
--- /dev/null
+++ b/libraries/qt4/README
@@ -0,0 +1,14 @@
+Qt 4 is a comprehensive, object-oriented development framework that
+enables development of high-performance, cross-platform rich-client
+and server-side applications. When you implement a program with Qt,
+you can run it on the X Window System (Unix/X11), Apple Mac OS X, and
+Microsoft Windows NT/9x/2000/XP by simply compiling the source code
+for the platform you want. Qt is the basis for the KDE desktop
+environment, and is also used in numerous commercial applications.
+
+This Qt 4 package is created to enable co-existence with Slackware
+native Qt 3 package; developers should only remember to use versions
+with "-qt4" suffix (like "qmake-qt4", "assistant-qt4", "designer-qt4",
+etc.) of programs that exist under same names in Qt 3 (and developers
+using CMake should be fine without any additional action, because
+stock CMake is already looking for "qmake-qt4" first).
diff --git a/libraries/qt4/doinst.sh b/libraries/qt4/doinst.sh
new file mode 100644
index 0000000000..4e56cbc8cf
--- /dev/null
+++ b/libraries/qt4/doinst.sh
@@ -0,0 +1,5 @@
+if ! grep -q /usr/lib/qt4/lib etc/ld.so.conf ; then
+ echo "/usr/lib/qt4/lib" >> etc/ld.so.conf
+fi
+
+chroot . /sbin/ldconfig 2> /dev/null
diff --git a/libraries/qt4/qt4.SlackBuild b/libraries/qt4/qt4.SlackBuild
new file mode 100644
index 0000000000..ed178d9ec2
--- /dev/null
+++ b/libraries/qt4/qt4.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for Qt 4
+# Written by Aleksandar B. Samardzic <asamardzic@matf.bg.ac.yu>
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM=qt4
+VERSION=4.3.4
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf qt-x11-opensource-src-$VERSION
+tar xvf $CWD/qt-x11-opensource-src-$VERSION.tar.gz
+cd qt-x11-opensource-src-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+export OPENSOURCE_CXXFLAGS="$SLKCFLAGS"
+echo "yes" | ./configure \
+ -prefix /usr/lib/qt-$VERSION \
+ -nomake examples \
+ -nomake demos
+
+make
+make install INSTALL_ROOT=$PKG
+
+( cd $PKG/usr/lib ; ln -sf qt-$VERSION qt4 )
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/bin
+( cd $PKG/usr/bin
+ for file in assistant designer linguist lrelease lupdate \
+ moc pixeltool qdbus qdbuscpp2xml qdbusviewer \
+ qdbusxml2cpp qmake qt3to4 qtconfig rcc uic uic3 ;
+ do
+ ln -sf /usr/lib/qt-$VERSION/bin/$file ${file}-qt4 ;
+ done
+)
+
+mkdir -p $PKG/usr/lib/pkgconfig
+( cd $PKG/usr/lib/pkgconfig
+ for file in Qt3Support.pc QtAssistantClient.pc QtCore.pc \
+ QtDBus.pc QtGui.pc QtNetwork.pc QtOpenGL.pc QtScript.pc \
+ QtSql.pc QtSvg.pc QtTest.pc QtUiTools.pc QtXml.pc ;
+ do
+ ln -sf /usr/lib/qt-$VERSION/lib/pkgconfig/$file . ;
+ done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a GPL_EXCEPTION.TXT GPL_EXCEPTION_ADDENDUM.TXT INSTALL LICENSE.GPL* \
+ LICENSE.QPL OPENSOURCE-NOTICE.TXT README changes-$VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+( cd $PKG/usr/doc/$PRGNAM-$VERSION ; ln -sf /usr/lib/qt-$VERSION/doc/html . )
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/qt4/qt4.info b/libraries/qt4/qt4.info
new file mode 100644
index 0000000000..ba91f56522
--- /dev/null
+++ b/libraries/qt4/qt4.info
@@ -0,0 +1,8 @@
+PRGNAM="qt4"
+VERSION="4.3.4"
+HOMEPAGE="http://trolltech.com/products/qt"
+DOWNLOAD="ftp://ftp.trolltech.com/qt/source/qt-x11-opensource-src-4.3.4.tar.gz"
+MD5SUM="9499101ec54eb7b0de195b3c5e3ffa93"
+MAINTAINER="Aleksandar B. Samardzic"
+EMAIL="asamardzic@matf.bg.ac.yu"
+APPROVED="David Somero"
diff --git a/libraries/qt4/slack-desc b/libraries/qt4/slack-desc
new file mode 100644
index 0000000000..f5cadabd3d
--- /dev/null
+++ b/libraries/qt4/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+qt4: Qt 4 (Qt4 toolkit)
+qt4:
+qt4: Qt 4 sets the standard for high-performance, cross-platform
+qt4: application development. It includes a C++ class library and
+qt4: tools for cross-platform development and internationalization.
+qt4:
+qt4: Homepage: http://trolltech.com/products/qt/
+qt4:
+qt4:
+qt4:
+qt4: